Package org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetJoinBridgeUniNode<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetJoinBridgeUniNode<A>

- All Implemented Interfaces:
    `BavetJoinBridgeNode`, `BavetNode`

      public final class BavetJoinBridgeUniNode<A>
      extends BavetAbstractUniNode<A>
      implements BavetJoinBridgeNode

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetJoinBridgeUniNode​(BavetConstraintSession session, int nodeOrder, BavetAbstractUniNode<A> parentNode, Function<A,​Object[]> mapping, BavetIndex<BavetJoinBridgeUniTuple<A>> index)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BavetJoinBridgeUniTuple<A>` | `createTuple​(BavetAbstractUniTuple<A> parentTuple)` |
    `BavetIndex<BavetJoinBridgeUniTuple<A>>` | `getIndex()` |
    `void` | `refresh​(BavetJoinBridgeUniTuple<A> tuple)` |
    `void` | `setChildTupleRefresher​(Consumer<BavetJoinBridgeUniTuple<A>> childTupleRefresher)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode

      `addChildNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetNode

      `getNodeOrder`

- - ### Constructor Detail

    - #### BavetJoinBridgeUniNode

          public BavetJoinBridgeUniNode​(BavetConstraintSession session,
                                        int nodeOrder,
                                        BavetAbstractUniNode<A> parentNode,
                                        Function<A,​Object[]> mapping,
                                        BavetIndex<BavetJoinBridgeUniTuple<A>> index)

  - ### Method Detail

    - #### createTuple

          public BavetJoinBridgeUniTuple<A> createTuple​(BavetAbstractUniTuple<A> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractUniNode<A>`

    - #### refresh

          public void refresh​(BavetJoinBridgeUniTuple<A> tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getIndex

          public BavetIndex<BavetJoinBridgeUniTuple<A>> getIndex()

    - #### setChildTupleRefresher

          public void setChildTupleRefresher​(Consumer<BavetJoinBridgeUniTuple<A>> childTupleRefresher)